Bug 812680 - monodevelop error message "Argument cannot be null"
monodevelop error message "Argument cannot be null"
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: monodevelop (Show other bugs)
17
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-15 18:49 EDT by Wolfgang Pirker
Modified: 2012-07-03 11:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 11:26:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Pirker 2012-04-15 18:49:18 EDT
Description of problem:
error message "Argument cannot be null" appears in monodevelop before a new solution is created.

Version-Release number of selected component (if applicable):
monodevelop: 2.8.5

Steps to Reproduce:
1. yum install monodevelop gtk-sharp2-devel
2. click in menu on new solution, then on C# and on gtk# 
  
Actual results:
error message

Additional info:
this error message can be avoided, if a valid location is chosen before clicking on "Gtk# 2.0 Project". 
This bug is also descriped here: https://bugzilla.xamarin.com/show_bug.cgi?id=2515
Comment 1 Michel Alexandre Salim 2012-06-07 22:09:39 EDT
Upstream claims it's fixed, which means we probably should try and package MD 3.0.x -- Christian, thoughts?
Comment 2 Fedora Update System 2012-06-10 17:59:50 EDT
monodevelop-debugger-gdb-2.8.8.4-1.fc17,monodevelop-vala-2.8.8.1-1.fc17,monodevelop-2.8.8.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/monodevelop-debugger-gdb-2.8.8.4-1.fc17,monodevelop-vala-2.8.8.1-1.fc17,monodevelop-2.8.8.4-1.fc17
Comment 3 Fedora Update System 2012-06-10 18:02:06 EDT
monodevelop-debugger-gdb-2.8.8.4-1.fc16,monodevelop-vala-2.8.8.1-1.fc16,monodevelop-2.8.8.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/monodevelop-debugger-gdb-2.8.8.4-1.fc16,monodevelop-vala-2.8.8.1-1.fc16,monodevelop-2.8.8.4-1.fc16
Comment 4 Fedora Update System 2012-06-10 18:03:41 EDT
monodevelop-debugger-gdb-2.8.8.4-1.fc15,monodevelop-vala-2.8.8.1-1.fc15,monodevelop-2.8.8.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/monodevelop-debugger-gdb-2.8.8.4-1.fc15,monodevelop-vala-2.8.8.1-1.fc15,monodevelop-2.8.8.4-1.fc15
Comment 5 Wolfgang Pirker 2012-06-11 11:26:43 EDT
Thank you for the update. 

In monodevelop version 2.8.8.4 this bug is fixed.
Comment 6 Fedora Update System 2012-07-03 11:47:19 EDT
monodevelop-debugger-gdb-2.8.8.4-1.fc16, monodevelop-vala-2.8.8.1-1.fc16, monodevelop-2.8.8.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-07-03 11:47:50 EDT
monodevelop-debugger-gdb-2.8.8.4-1.fc17, monodevelop-vala-2.8.8.1-1.fc17, monodevelop-2.8.8.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.